library messagebox.model.message;

class Message {
  String text;
  String type = "info"; 
  String theme;
  String id; 
  bool singleton; 
  int hideAfter = 5000; 
  bool showCloseButton; 
  String closeButtonText = "x";
  DateTime _timestamp = new DateTime.now();
  
  DateTime get timestamp => this._timestamp;
  
  Message(this.text);
  Message.withType(this.text, this.type);
}